﻿local ADDONNAME= ...
local VERSION = GetAddOnMetadata(ADDONNAME,"Version")
function AXPView_OnLoad(self)
	self:RegisterEvent("ADDON_LOADED");			--AddOn Loaded
	self:RegisterEvent("PLAYER_ENTERING_WORLD");
	self:RegisterEvent("AZERITE_ITEM_EXPERIENCE_CHANGED");
	self:RegisterEvent("BAG_UPDATE");
end

function AXPView_OnEvent(self, event, ...)
	if (event == "ADDON_LOADED") then
 		if (...) == ADDONNAME then
			DEFAULT_CHAT_FRAME:AddMessage(ADDONNAME.." "..VERSION.." Loaded.");
		end
	end
	AXPView_Update();
end
function AXPView_Update()
	
	
	if not C_AzeriteItem.HasActiveAzeriteItem() then 
		AXPView:Hide()
		return 
	end

	local cyan = "|cff00ffff"
	local khaki = "|cfff2e699"
	local xp, xpmax = C_AzeriteItem.GetAzeriteItemXPInfo(C_AzeriteItem.FindActiveAzeriteItem()) 
	local level = C_AzeriteItem.GetPowerLevel(C_AzeriteItem.FindActiveAzeriteItem()) 
	local percent = (xp/xpmax)*100
	
	AXPView:Show()
	AXPViewFrameText:SetText(khaki.."Azerite Lv: "..cyan..level..khaki.." ("..gradient(percent)..carve(xp).."/"..carve(xpmax)..khaki..") ["..gradient(percent)..carve(xpmax-xp)..khaki.." Left]");
	AXPView:SetWidth (AXPViewFrameText:GetStringWidth() + 20);
	AXPView:SetHeight(AXPViewFrameText:GetStringHeight() + 20);
end

function carve(x)
	return BreakUpLargeNumbers(x)
end

function gradient(x)
	local green = 2*x
	local red = 2*(100-x)
	if green > 100 then green = 100 end
	if red > 100 then red = 100 end

	return format("|cff%2x%2x00",floor(red* 2.55),floor(green*2.55))
end
